{%- if section.settings.height == 'adapt' -%}
  
  {%- assign first_block = section.blocks[0] -%}
  {%- if first_block.settings.image.aspect_ratio == blank -%}
    {%- assign min_aspect_ratio = 2.0 -%}
  {%- else -%}
    {%- assign min_aspect_ratio = first_block.settings.image.aspect_ratio -%}
  {%- endif -%}
  {% assign wrapper_height = 100 | divided_by: min_aspect_ratio %}
{%- endif -%}

{%- assign text_alignments = section.settings.text_alignment | split: ' ' -%}
{%- assign text_horizontal_alignment = text_alignments.first -%}
{%- assign text_vertical_alignment = text_alignments.last | strip -%}
{% assign showDescription = section.settings.showDescription -%}

<div data-section-id="{{ section.id }}" data-section-type="slideshow-section">
  {%- if section.blocks.size > 0 -%}
    <div id="SlideshowWrapper-{{ section.id }}" class="slideshow-wrapper" role="region" aria-label="slideshow" aria-describedby="slideshow-info" tabindex="-1" data-slider>
      <div class="slideshow slideshow--{{ section.settings.height }}{% if display_controls %} slideshow--display-controls{% endif %}"
           id="Slideshow-{{ section.id }}"
           data-autorotate="{{ section.settings.autoplay }}"
           data-slider-container
           data-speed="{{ 3 | times: 1000 }}"
           data-adapt-height="{% if section.settings.height == 'adapt' %}true{% else %}false{% endif %}"
           data-slide-nav-a11y="{{ 'sections.slideshow.load_slide' | t: slide_number: '[slide_number]' }}"
           {% if section.settings.height == 'adapt' %}data-min-aspect-ratio="{{ min_aspect_ratio }}"
           style="height: {{- wrapper_height -}}vw"{% endif %}>
        {%- for block in section.blocks -%}
          {%- assign block_image = block.settings.image -%}
          <div id="slickSlide-{{ block.id }}" class="slideshow__slide slideshow__slide--{{ block.id }}{% if forloop.first %} slideshow__slide--active{% endif %}" data-slider-slide-index="{{ forloop.index0 }}" data-slider-item {{ block.shopify_attributes }}>
            {% if block_image == blank %}
              <div class="slideshow__image js">
                <div class="placeholder-background">
                  {% capture current %}{% cycle 1, 2 %}{% endcapture %}
                  {{ 'lifestyle-' | append: current | placeholder_svg_tag: 'placeholder-svg' }}
                </div>
                </div>
            {% else %}
              <div
                  {% unless block_image.alt == blank %}
                  role="img"
                  aria-label="{{ block_image.alt | escape }}"
                  data-alt="{{ block_image.alt | escape }}"
                  {% endunless %}
                  class="slideshow__image box ratio-container lazyload{% unless forloop.first %} lazypreload{% endunless %} js"
                  data-bg="{{ block_image | img_url: '300x300' }}"
                  data-bgset="{% include 'bgset', image: block_image %}"
                  data-sizes="auto"
                  data-parent-fit="contain"
                  style="background-position: {{ block.settings.alignment }};"
                  data-image-loading-animation>
              </div>
            {% endif %}

            <noscript>
              <div class="slideshow__image"{% if block_image %}{% unless block_image.alt == blank %} role="img" aria-label="{{ block_image.alt | escape }}"{% endunless %} style="background-image: url('{{ block_image | img_url: '2048x' }}'); background-position: {{ block.settings.alignment }};"{% endif %}>
                {% if block_image == blank %}
                  <div class="placeholder-background">
                    {{ 'lifestyle-1' | placeholder_svg_tag: 'placeholder-svg' }}
                  </div>
                {% endif %}
              </div>
            </noscript>

            <div class="slideshow__text-wrap slideshow__text-wrap--desktop">
              <div class="slideshow__text-content slideshow__text-content--vertical-{{ text_vertical_alignment }} text-{{ text_horizontal_alignment }}">
                <div class="page-width">
                  {% unless block.settings.slide_title == blank and block.settings.subheading == blank %}
                    <ul class="slideshow__text-content-list">
                      {%- unless block.settings.slide_title == blank -%}
                        <li>
                          <h2 class="h1 mega-title slideshow__title{% if section.settings.text_size == 'large' %} mega-title--large{% endif %}">
                            {{ block.settings.slide_title | escape }}
                          </h2>
                        </li>
                      {%- endunless -%}
                      {%- unless block.settings.subheading == blank -%}
                        <li>
                          <span class="mega-subtitle slideshow__subtitle{% if section.settings.text_size == 'large' %} mega-subtitle--large{% endif %}">
                            {{ block.settings.subheading | escape }}
                          </span>
                        </li>
                      {%- endunless -%}
                      {%- if showDescription -%}
                        <li>
                          <p>{{block.settings.description}}
                          </p>
                        </li>
                      {%- endif -%}
                    </ul>
                  {% endunless %}

                  {%- assign show_link_button = false -%}
                  {%- if block.settings.button_label != blank and block.settings.button_link != blank -%}
                    {%- assign show_link_button = true -%}
                  {%- endif -%}
                  {%- if show_link_button -%}
                    <div class="slideshow__btn-wrapper{% if block.settings.slide_title != blank or block.settings.subheading != blank %} slideshow__btn-wrapper--push{% endif %}">
                      <a href="{{ block.settings.button_link }}" class="btn slideshow__btn">
                        {{ block.settings.button_label | escape }}
                      </a>
                    </div>
                  {%- endif -%}
                </div>
              </div>
            </div>
          </div>
        {%- endfor -%}
      </div>
      <div class="slideshow__controls">
        {%- if section.blocks.size > 1 -%}
          {%- assign arrows_width = section.blocks.size | times: 18 | plus: 115 -%}
          <div class="slideshow__arrows"
               style="width: {{- arrows_width -}}px">
            <button class="slideshow__arrow slideshow__arrow-previous" aria-label="{{ 'sections.slideshow.previous_slide' | t }}" data-slider-button>{% include 'icon-chevron-left' %}</button>
            <button class="slideshow__arrow slideshow__arrow-next" aria-label="{{ 'sections.slideshow.next_slide' | t }}" data-slider-button data-slider-button-next>{% include 'icon-chevron-right' %}</button>

            <ul class="slick-dots" data-slider-indicators>
              {%- for block in section.blocks -%}
                <li{% if forloop.first %} class="slick-active"{% endif %} data-slider-indicator>
                  <a href="#Slideshow-{{ section.id }}" aria-label="{{ 'sections.slideshow.load_slide' | t: slide_number: forloop.index }}" data-slide-number="{{ forloop.index0 }}" aria-controls="slickSlide-{{ block.id }}"></a>
                </li>
              {%- endfor -%}
            </ul>
          </div>

          {%- if section.settings.autoplay -%}
            <button type="button" class="slideshow__pause" data-id="{{ section.id }}" aria-live="polite" aria-pressed="false" data-slider-pause>
              <span class="slideshow__pause-stop">
                {% include 'icon-pause' %}
                <span class="icon__fallback-text">{{ 'sections.slideshow.pause_slideshow' | t }}</span>
              </span>
              <span class="slideshow__pause-rotate">
                {% include 'icon-play' %}
                <span class="icon__fallback-text">{{ 'sections.slideshow.rotate_slideshow' | t }}</span>
              </span>
            </button>
          {%- endif -%}
        {%- endif -%}
      </div>
    </div>
    <div class="slideshow__text-wrap slideshow__text-wrap--mobile">
      {% if section.blocks.size > 1 %}
        <div class="slideshow__arrows slideshow__arrows--mobile">
          <button class="slideshow__arrow slideshow__arrow-previous" aria-label="{{ 'sections.slideshow.previous_slide' | t }}" data-slider-button>{% include 'icon-chevron-left' %}</button>
          <button class="slideshow__arrow slideshow__arrow-next" aria-label="{{ 'sections.slideshow.next_slide' | t }}" data-slider-button data-slider-button-next>{% include 'icon-chevron-right' %}</button>

          <ul class="slick-dots" data-slider-indicators>
            {%- for block in section.blocks -%}
              <li{% if forloop.first %} class="slick-active"{% endif %} data-slider-indicator>
                <a href="#Slideshow-{{ section.id }}" aria-label="{{ 'sections.slideshow.load_slide' | t: slide_number: forloop.index }}" data-slide-number="{{ forloop.index0 }}" aria-controls="slickSlide-{{ block.id }}"></a>
              </li>
            {%- endfor -%}
          </ul>
        </div>
      {% endif %}

      {%- for block in section.blocks -%}
        {%- assign show_text = false -%}
        {%- unless block.settings.slide_title == blank and block.settings.subheading == blank -%}
          {%- assign show_text = true -%}
        {%- endunless -%}
        {%- assign show_link_button = false -%}
        {%- if block.settings.button_label != blank and block.settings.button_link != blank -%}
          {%- assign show_link_button = true -%}
        {%- endif -%}
        {%- if show_text or show_link_button -%}
          <div class="slideshow__text-content slideshow__text-content--mobile{% if forloop.first %} slideshow__text-content--mobile-active{% endif %} text-center" data-slider-mobile-content-index="{{ forloop.index0 }}">
            <div class="page-width">
              {%- unless block.settings.slide_title == blank -%}
                <h2 class="h1 mega-title slideshow__title slideshow__title--mobile{% if section.settings.text_size == 'large' %} mega-title--large{% endif %}">
                  {{ block.settings.slide_title | escape }}
                </h2>
              {%- endunless -%}
              {%- unless block.settings.subheading == blank -%}
                <span class="mega-subtitle slideshow__subtitle slideshow__subtitle--mobile{% if section.settings.text_size == 'large' %} mega-subtitle--large{% endif %}">
                  {{ block.settings.subheading | escape }}
                </span>
              {%- endunless -%}


              {%- if show_link_button -%}
                <a href="{{ block.settings.button_link }}" class="btn slideshow__btn slideshow__btn--mobile">
                  {{ block.settings.button_label | escape }}
                </a>
              {%- endif -%}
            </div>
          </div>
        {%- endif -%}
      {%- endfor -%}
    </div>
  {%- endif -%}

  {% if section.blocks.size == 0 %}
    <div class="placeholder-noblocks">
      {{ 'homepage.onboarding.no_content' | t }}
    </div>
  {% endif %}
</div>

{% schema %}
{
  "name": "Slideshow New",
  "class": "index-section index-section--flush index-section--customSaloni",
  "max_blocks": 9,
  "settings": [
    {
      "type": "select",
      "id": "height",
      "label": "Slide Height",
      "default": "adapt",
      "info": "Learn more about [slideshow guidelines](https://help.shopify.com/en/manual/using-themes/themes-by-shopify/debut#slideshow-sections-specific)",
      "options": [
        {
          "label": "First Image Adoption",
          "value": "adapt"
        },
        {
          "label": "Small",
          "value": "small"
        },
        {
          "label": "Medium",
          "value": "medium"
        },
        {
          "label": "Large",
          "value": "large"
        }
      ]
    },
    {
      "type": "select",
      "id": "text_size",
      "label": "Text Size",
      "default": "medium",
      "options": [
        {
          "label": "Medium",
          "value": "medium"
        },
        {
          "label": "Large",
          "value": "large"
        }
      ]
    },
    {
      "type": "select",
      "id": "text_alignment",
      "label": "Text Alignment",
      "default": "left top",
      "options": [
        {
          "label": "Top left",
          "value": "left top"
        },
        {
          "label": "Top Center",
          "value": "center top"
        },
        {
          "label": "Top right",
          "value": "right top"
        },
        {
          "label": "Middle left",
          "value": "left center"
        },
        {
          "label": "Middle center",
          "value": "center center"
        },
        {
          "label": "Middle right",
          "value": "right center"
        },
        {
          "label": "Bottom left",
          "value": "left bottom"
        },
        {
          "label": "Bottom center",
          "value": "center bottom"
        },
        {
          "label": "Bottom right",
          "value": "right bottom"
        }
      ]
    },
    {
      "type": "checkbox",
      "id": "autoplay",
      "label": "AutoPlay",
      "default": false
    },
    {
      "type": "checkbox",
      "id": "showDescription",
      "label": "Show Description",
      "default": true
    }
  ],
  "blocks": [
    {
      "type": "image",
      "name": "Image",
      "settings": [
        {
          "type": "image_picker",
          "id": "image",
          "label": "Image"
        },
        {
          "type": "select",
          "id": "alignment",
          "label": "Image Location",
          "default": "center center",
          "options": [
            {
              "label": "Top left",
              "value": "left top"
            },
            {
              "label": "Top center",
              "value": "center top"
            },
            {
              "label": "Top right",
              "value": "right top"
            },
            {
              "label": "Middle left",
                "value": "left center"
            },
            {
              "label": "Middle center",
              "value": "center center"
            },
            {
              "label": "Middle right",
              "value": "right center"
            },
            {
              "label": "Bottom left",
              "value": "left bottom"
            },
            {
              "label": "Bottom center",
              "value": "center bottom"
            },
            {
              "label": "Bottom right",
              "value": "right bottom"
            }
          ]
        },
        {
          "type": "text",
          "id": "slide_title",
          "label": "Heading",      
          "default": "Images With Slider"
        },
        {
          "type": "text",
          "id": "subheading",
          "label": "Subheading",
          "default": "Enter Some Subheading"
        },
        {
          "type": "text",
          "id": "description",
          "label": "Enter Description",
          "default": "Hope you are doing well.\nThis is the desription section of the slideshow with images.\nThanks.\n See You Soon"
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "Custom Made by Saloni",
      "category": "Advanced layout",
      "settings": {
        "autoplay": true
        },
      "blocks": [
        {
          "type": "image"
        },
        {
          "type": "image"
        }
      ]
    }
  ]
}
{% endschema %}

